# DialogStyle class

Configuration for the dialog/alert style

Annotations
  - @JsonSerializable(includeIfNull: false, createFactory: false, createToJson: true, explicitToJson: true)

## Constructors

DialogStyle({required Color screenBackgroundColor, required Color dialogBackgroundColor, required BlurEffect dialogBackgroundEffect, required double cornerRadius, required Color titleColor, required Font titleFont, required Color messageColor, required Font messageFont, required Color separatorColor, required double separatorWidth})

## Properties

cornerRadius ↔ double
  The corner radius of the dialog.
  getter/setter pair
dialogBackgroundColor ↔ Color
  The general background color of the actual dialog view.
  getter/setter pair
dialogBackgroundEffect ↔ BlurEffect
  The visual effect of the dialogs background.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
messageColor ↔ Color
  The color of the dialogs message.
  getter/setter pair
messageFont ↔ Font
  The font of the dialogs message.
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
screenBackgroundColor ↔ Color
  The Color of the screen-covering backdrop view.
  getter/setter pair
separatorColor ↔ Color
  The color of the separators around the dialogs button area.
  getter/setter pair
separatorWidth ↔ double
  The width of the separators in points.
  getter/setter pair
titleColor ↔ Color
  The color of the dialogs title.
  getter/setter pair
titleFont ↔ Font
  The font of the dialogs title
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited